List automations
GET
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
projectId?stringprojectIds?|array<string>Automations in any of these projects.
projectIdsNot?With projectId or projectIds: automations in every other project the key can read instead.
enabled?stringOnly enabled (true) or only disabled (false) automations. Omit for both.
One of
"true""false"createdFrom?stringAutomations created at or after this instant.
createdTo?stringAutomations created before this instant.
limit?integercursor?stringMatch
^\d{1,15}:.+AutomationPage
application/json- response
items*array<>cursor*|nullcurl -X GET 'https://api.capy.ai/api/v1/automations'{ "items": [ { "id": "string", "projectId": "string", "name": "string", "description": "string", "prompt": "string", "triggers": [ { "type": "schedule", "cron": "string", "timezone": "string" } ], "model": { "modelId": "string", "reasoningMode": "none", "modes": { "fast": true, "pro": true, "ultrafast": true, "daybreak": true } }, "repos": [ { "repo": "string", "branch": "string" } ], "threadMode": "new", "slackImpersonation": true, "quietSlackPosts": true, "singleJamId": "string", "mcpOverrides": { "enabled_server_keys": [ "string" ], "disabled_server_keys": [ "string" ] }, "maxRunsPerDay": 0, "machineSize": "small", "organize": { "pin": true, "folders": [ "string" ], "tags": [ "string" ] }, "enabled": true, "deleted": true, "disabledReason": "run_as_unavailable", "runAsKind": "human", "runAsId": "string", "runCount": 0, "lastTriggeredAt": "string", "nextRunAt": "string", "createdAt": "string", "updatedAt": "string" } ], "cursor": "string"}